Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://{controlPlaneURL}/api/svc/v1/workspaces/{id} \ --header 'Authorization: Bearer <token>'
{ "data": { "id": "<string>", "fqn": "<string>", "tenantName": "<string>", "clusterId": "<string>", "createdBySubject": { "subjectId": "<string>", "subjectSlug": "<string>", "subjectDisplayName": "<string>", "subjectPatName": "<string>", "subjectControllerName": "<string>", "subjectExternalIdentitySlug": "<string>" }, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "manifest": { "cluster_fqn": "<string>", "name": "<string>", "environment_name": "<string>", "labels": {}, "annotations": {}, "collaborators": [ { "subject": "<string>", "role_id": "<string>" } ], "permissions": [ { "resource_fqn": "<string>", "resource_type": "<string>", "role_id": "<string>" } ], "ownedBy": { "account": "<string>" } }, "accountId": "<string>", "environmentId": "<string>", "isSystemWs": true, "createdBy": "<string>" } }
Get a single workspace by its ID.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Unique identifier of the workspace.
The workspace with the given ID.
The workspace object.
Show child attributes
Was this page helpful?
Contact support